<?php

namespace App\Http\Controllers;
use App\Models\Noms;
use Illuminate\Http\Request;

class WelcomeController extends Controller
{
    public function index()
    {
        return view('welcome');
    }
    public function inscription(Request $req)
    {

$validated = $req -> validate([
'nom'=>'required| alpha| max:50',
'prenom'=>'required| alpha| max:50',
'age'=>'bail|required| integer| gte:0|lte:120'
]);
   $u=new Noms();
    $u->nom = $validated['nom'];
    $u->prenom = $validated ['prenom'];
    $u->age = $validated['age'];
    $u->save();
    $req->session()->flash('etat','vous êtes inscris ! ');
     return view('welcome');
    }
    public function delete(Request $req)
    { $nom= request('nom');
      $prenom=request('prenom');


     $utilisateur = Noms::where ("nom","=","$nom")->where ("prenom","=","$prenom")->first();
     if ($utilisateur){
     $utilisateur->delete();
  
     $req->session()->flash('etat',"utilisateur $nom $prenom supprimé ! ");}
     else {$req->session()->flash('etat',"utilisateur $nom $prenom n'existe pas ! ");}
    return view('supression');


    }




  
public function modifier(Request $request){
        $validated = $request -> validate([
        'nom'=>'required| alpha| max:50',
        'prenom'=>'required| alpha| max:50',
        'age'=>'bail|required| integer| gte:0|lte:120',
        'NVnom'=>'required| alpha| max:50',
        'NVprenom'=>'required| alpha| max:50',
        'NVage'=>'bail|required| integer| gte:0|lte:120'
    ]);
    $nom= $validated['nom'];
    $prenom=$validated['prenom'];
    $age = $validated['age'];

$utilisateur =  Noms::where ("nom", "=" ,"$nom")-> where ("prenom","=","$prenom")-> where("age","=","$age") ->first();
if($utilisateur){
$utilisateur -> nom = $validated['NVnom'];
$utilisateur -> prenom = $validated['NVprenom'];
$utilisateur ->age= $validated['NVage'];
$utilisateur -> save();
$nvnom=$utilisateur['nom'];
$nvprenom=$utilisateur['prenom'];
$nvage=$utilisateur['age'];
$request ->session()-> flash('etat',"utilisateur qui a le nom: $nom  , prenom : $prenom  et age : $age  à  bien été  modifié !  à $nvnom $nvprenom $nvage ");
}else{
    $request ->session()->flash('etat',"utilisateur qui a le nom: $nom , prenom : $prenom et age : $age n'existe pas dans notre application ou a  été supprimer  ! ");

}
return redirect('/modification');
}


}